Subject: Re: [PATCH net] net: usb: usbnet: fix name regression

From: Jakub Kicinski <[email-masked]>
Date: Mon, 2 Dec 2024 06:56:00 -0800

On Mon, 2 Dec 2024 17:36:51 +0900 'Dominique MARTINET' wrote:
> The new check however no longer cares about the address globality, and
> just basically always renames the interface if the driver provided a
> mac ?

Any way we can identify those devices and not read the address from 
the device? Reading a locally administered address from the device
seems rather pointless, we can generate one ourselves.

> If that is what was intended, I am fine with this, but I think these
> local ppp usb interfaces are rather common in the cheap modem world.

Which will work, as long as they are marked appropriately; that is
marked with FLAG_POINTTOPOINT.